<?php
session_start();

define( 'DOING_AJAX', true );
if ( ! defined( 'WP_ADMIN' ) ) {
	define( 'WP_ADMIN', true );
}

/** Load WordPress Bootstrap */
require_once( '../../../../wp-load.php' );

/** Allow for cross-domain requests (from the front end). */
send_origin_headers();

header( 'Content-Type: text/html; charset=' . get_option( 'blog_charset' ) );
header( 'X-Robots-Tag: noindex' );

// Require an action parameter
if ( empty( $_REQUEST['action'] ) ) {
	wp_die( '0', 400 );
}

/** Load WordPress Administration APIs */
require_once( ABSPATH . 'wp-admin/includes/admin.php' );

/** Load Ajax Handlers for WordPress Core */
require_once( ABSPATH . 'wp-admin/includes/ajax-actions.php' );

send_nosniff_header();
nocache_headers();

if(isset($_POST['action'])){
    global $wpdb;
    include 'check-input.php';
    $filter = new checkInput;
    $action = $filter->filter($_POST['action']);

    if($action == "getProduct"){
        $str = $filter->filter($_POST['str']);
        $limit = $filter->filter($_POST['limit']);
        $sql = " SELECT `ID`,`post_title` FROM `{$wpdb->prefix}posts` 
        WHERE `post_title` LIKE '%$str%' AND `post_type` = 'product'
        ORDER BY `post_title` LIMIT $limit ";
        $get_results = $wpdb->get_results($sql , ARRAY_A);
        foreach ($get_results as $key => $value) {
            $productId = $value['ID'];
            $title = $value['post_title'];
            $link = get_permalink( $productId ); 
            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $productId ), 'single-post-thumbnail' );  
            ?>
            <div class="darkoob-woo-search-item-result">
                <a href="<?=$link?>">
                    <img src="<?php  echo $image[0]; ?>" align="right">
                    <span class="result-item-title"><?=$title?></span>
                    <span class="result-item-price">
                        <?php
                            $product = wc_get_product( $productId );
                            $regular_price = $product->get_regular_price($productId);
                            $sale_price = $product->get_sale_price($productId);
                            $price = $product->get_price($productId);
                            $price = $regular_price;
                            if($sale_price != '')
                            {
                                echo '<strike class="darkoob-main-price">'.wc_price($price).'</strike>
                                <span>'.wc_price($sale_price).'</span>';
                            }
                            else{
                                echo '<span>'.wc_price($price).'</span>';
                            }                                
                        ?>
                    </span>
                </a>
            </div>
            <?php
        }
        if(count($get_results) >= $limit)
        {
            ?>
            <div class="darkoob-woo-search-read-more center">
                <a href="<?=get_site_url()?>?s=<?=$str?>&post_type=product">نتایج بیشتر</a>
            </div>
            <?php
        }
        elseif(count($get_results) == 0)
        {
            echo 'no';
        }
    }
}